// =============================================================================
// soubor MakeBuilding.cpp
// =============================================================================

#include "MakeBuilding.h"

// -----------------------------------------------------------------------------
// MakeBuilding - vytvori danou budovu
// -----------------------------------------------------------------------------
SoSeparator * MakeBuilding(int IPb,  // cislo dane budovy
													 float x,float y,float z,  // pozice umisteni
													 float alfa,  // uhel pootoceni(rotace)
													 TEXTURE texture  // vyber textury pro budovu
													 ) {

  SoSeparator *root = new SoSeparator;

switch (IPb){
  case  0: root -> addChild(MakeBuilding_f00(x,y,z,alfa,texture)); break;
  case  1: root -> addChild(MakeBuilding_f01(x,y,z,alfa,texture)); break;
  case  2: root -> addChild(MakeBuilding_f02(x,y,z,alfa,texture)); break;
  case  3: root -> addChild(MakeBuilding_f03(x,y,z,alfa,texture)); break;
  case  4: root -> addChild(MakeBuilding_f04(x,y,z,alfa,texture)); break;
  case  5: root -> addChild(MakeBuilding_f05(x,y,z,alfa,texture)); break;
  case  6: root -> addChild(MakeBuilding_f06(x,y,z,alfa,texture)); break;
  case  7: root -> addChild(MakeBuilding_f07(x,y,z,alfa,texture)); break;
  case  8: root -> addChild(MakeBuilding_f08(x,y,z,alfa,texture)); break;
  case  9: root -> addChild(MakeBuilding_f09(x,y,z,alfa,texture)); break;
  case 10: root -> addChild(MakeBuilding_f10(x,y,z,alfa,texture)); break;
  case 11: root -> addChild(MakeBuilding_f11(x,y,z,alfa,texture)); break;
  case 12: root -> addChild(MakeBuilding_f12(x,y,z,alfa,texture)); break;
  case 13: root -> addChild(MakeBuilding_f13(x,y,z,alfa,texture)); break;

  case 14: root -> addChild(MakeBuilding_s00(x,y,z,alfa,texture)); break;
  case 15: root -> addChild(MakeBuilding_s01(x,y,z,alfa,texture)); break;
  case 16: root -> addChild(MakeBuilding_s02(x,y,z,alfa,texture)); break;
  case 17: root -> addChild(MakeBuilding_s03(x,y,z,alfa,texture)); break;
  case 18: root -> addChild(MakeBuilding_s04(x,y,z,alfa,texture)); break;
  case 19: root -> addChild(MakeBuilding_s05(x,y,z,alfa,texture)); break;
  case 20: root -> addChild(MakeBuilding_s06(x,y,z,alfa,texture)); break;
  case 21: root -> addChild(MakeBuilding_s07(x,y,z,alfa,texture)); break;
  case 22: root -> addChild(MakeBuilding_s08(x,y,z,alfa,texture)); break;
  case 23: root -> addChild(MakeBuilding_s09(x,y,z,alfa,texture)); break;

  case 24: root -> addChild(MakeBuilding_p01(x,y,z,alfa,texture)); break;
  case 25: root -> addChild(MakeBuilding_p02(x,y,z,alfa,texture)); break;
  case 26: root -> addChild(MakeBuilding_p03(x,y,z,alfa,texture)); break;
  case 27: root -> addChild(MakeBuilding_p04(x,y,z,alfa,texture)); break;

  case 28: root -> addChild(MakeBuilding_a01(x,y,z,alfa,texture)); break;
  case 29: root -> addChild(MakeBuilding_a02(x,y,z,alfa,texture)); break;
  case 30: root -> addChild(MakeBuilding_a03(x,y,z,alfa,texture)); break;
  case 31: root -> addChild(MakeBuilding_a04(x,y,z,alfa,texture)); break;
  case 32: root -> addChild(MakeBuilding_a05(x,y,z,alfa,texture)); break;
  case 33: root -> addChild(MakeBuilding_a06(x,y,z,alfa,texture)); break;
  case 34: root -> addChild(MakeBuilding_a07(x,y,z,alfa,texture)); break;
  default: break;
  }
return root;
}
// -----------------------------------------------------------------------------

// =============================================================================
// konec souboru MakeBuilding.cpp
// =============================================================================