// =============================================================================
// konec souboru center00.cpp
// =============================================================================

#include "..\structures.h"

POSITION  center00;

// -----------------------------------------------------------------------------
// fce.vytvori mestskou strukturu center00
// -----------------------------------------------------------------------------
SoSeparator* MakeCentre00() {

  center00.x_min = 0;
	center00.z_min = 0;
	center00.x_max = MAX_GROUND;
	center00.z_max = MAX_GROUND;

  SoSeparator* center00 = new SoSeparator;

  float alfa=0;
  int building=0;
  int end=5;
  float x=1.f;
  float z=1.f;
  float y1=2.0f;
	float y2=2.5f;
  float x1=0.5f;
	float x2=0.5f;
  float z1=0.5f;
	float z2=0.5f;
	float x_pom,z_pom;
	TEXTURE texture;
	texture = RandTexture();

	for(int i=1; i<=6; i++, x+=2.8f) {
		for(int j=1; j<=6; j++, z+=2.8f) {
			x_pom=x; z_pom=z;

			if(i>2 && i<5 && j>2 && j<5) {y1=4.0f; y2=4.5f;} 
			  else
			    if(i>1 && i<6 && j>1 && j<6) {y1=3.0f; y2=3.5f;} 
					else 
					if(i==1 && j==1 || i==6 && j==6 ||
						 i==1 && j==6 || i==6 && j==1)
						{y1=1.0f; y2=1.0f; x1=1.0f; x2=1.0f;}
					else {y1=2.0f; y2=2.5f;}

			if((i<2 || i>5 || j<2 || j>5) && (i==3 || i==4 || j==3 || j==4)) 
				{x1=1.0f; x2=1.0f;
				if(i<2) x+=0.5f;
				if(i>5) x-=0.5f;
				}  

			if(j==2) z-=1.0f;
			if(j==2 && i==5) {x+=0.75f;z+=0.5f; alfa=degree_to_radian(80);}
			if(j==2 && (i==3 || i==4)) 
				{x1=1.0f; x2=1.0f;
				if(i==3) {z+=1.0f; x-=0.5f; alfa=degree_to_radian(-75);}
				if(i==4) {z+=0.5f; alfa=degree_to_radian(-40);}				
				}

			if(j==3) 
				{z-=1.5f;
				if(i==2) {x-=1.0f; z+=1.5f; alfa=degree_to_radian(10);}
				if(i==3) {x-=1.0f; z+=1.0f; alfa=degree_to_radian(-35);}
				if(i==4) {x-=1.5f; z+=0.5f; alfa=degree_to_radian(35);}
				if(i==5) {x-=2.0f; x1=1.0f; x2=1.0f;}
				}

			if(j==4) {
				if(i==1) {x-=0.5f;z-=1.0f;alfa=degree_to_radian(100);x1=1.5f; x2=1.5f;} 
				if(i==4) {x+=1.0f;z-=1.5f;}
				if(i==5) {x+=0.8f;z-=1.75f;}
				if(i==6) {z-=0.5f;alfa=degree_to_radian(80);}
				}

			if(j==5) {
				if(i==1) {z-=0.25f;}
				if(i==2) {x+=0.5f;z-=0.25f;alfa=degree_to_radian(15);}
				if(i==3) {x+=1.0f;z-=0.75f;alfa=degree_to_radian(85);}
				if(i==4) {x+=1.0f;z-=2.5f;}
				if(i==5) {x-=0.5f;x1=1.0f; x2=1.0f;alfa=degree_to_radian(5);}
				if(i==6) {x-=0.5f;z-=0.25f;x1=1.0f; x2=1.0f;}
				}

			if(j==6 && i==2) {x+=0.5f;}

			if(i==1 && j==1 || i==1 && j==6) x+=0.5f;
			if(i==6 && j==6 || i==6 && j==1) x-=0.5f;
	
      building = SB_from_to_xyz(building,x1,x2,y1,y2,z1,z2);
			texture = NextTexture(texture);

			center00 -> addChild(PutBuilding(building,x,z,alfa,texture));

			x=x_pom;z=z_pom;

			alfa=0;
      y1=2.0f; y2=2.5f;
      x1=0.5f; x2=0.5f;
      z1=0.5f; z2=0.5f;
		}
		z=1.f;
		//texture = NextTexture(texture);
	}
	center00 -> addChild(PutBuilding(27,8.5f,8.5f,degree_to_radian(10),texture));

  return(center00);
} 
// -----------------------------------------------------------------------------


// =============================================================================
// konec souboru center00.cpp
// =============================================================================