// =============================================================================
// soubor center02.cpp
// =============================================================================

#include "..\structures.h"

POSITION  center02;

// -----------------------------------------------------------------------------
// fce.vytvori mestskou strukturu center02
// -----------------------------------------------------------------------------
SoSeparator* MakeCentre02() {

  center02.x_min = 0;
	center02.z_min = 0;
	center02.x_max = MAX_GROUND;
	center02.z_max = MAX_GROUND;

  SoSeparator* center02 = new SoSeparator;

  float alfa=0;
  int building=0;
	TEXTURE texture;
	texture = RandTexture();

	alfa = degree_to_radian(270);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,2.0f,2.0f,1.0f,4.5f,2.5f,2.5f);
	center02 -> addChild(PutBuilding(building,3.5f,3.0f,alfa,texture));

	alfa = degree_to_radian(270);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,2.0f,2.0f,1.0f,4.5f,2.5f,2.5f);
	center02 -> addChild(PutBuilding(building,12.5f,3.0f,alfa,texture));

	alfa = degree_to_radian(0);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,2.5f,2.5f,1.0f,4.5f,1.0f,1.0f);
	center02 -> addChild(PutBuilding(building,3.5f,14.0f,alfa,texture));

	alfa = degree_to_radian(90);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,0.5f,0.5f,2.0f,4.5f,2.0f,2.0f);
	center02 -> addChild(PutBuilding(building,12.0f,14.5f,alfa,texture));

	alfa = degree_to_radian(0);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,0.5f,0.5f,2.0f,2.5f,1.0f,1.0f);
	center02 -> addChild(PutBuilding(building,15.0f,14.0f,alfa,texture));

	alfa = degree_to_radian(80);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,1.0f,1.0f,3.0f,4.5f,0.5f,0.5f);
	center02 -> addChild(PutBuilding(building,2.0f,9.0f,alfa,texture));

	alfa = degree_to_radian(80);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,1.0f,1.0f,3.0f,4.5f,0.5f,0.5f);
	center02 -> addChild(PutBuilding(building,5.0f,9.0f,alfa,texture));

	alfa = degree_to_radian(10);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,0.5f,0.5f,3.0f,4.5f,0.5f,0.5f);
	center02 -> addChild(PutBuilding(building,10.5f,8.0f,alfa,texture));

	alfa = degree_to_radian(10);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,0.5f,0.5f,3.0f,4.5f,0.5f,0.5f);
	center02 -> addChild(PutBuilding(building,12.5f,8.0f,alfa,texture));

	alfa = degree_to_radian(10);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,0.5f,0.5f,3.0f,4.5f,0.5f,0.5f);
	center02 -> addChild(PutBuilding(building,14.5f,8.0f,alfa,texture));

	alfa = degree_to_radian(10);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,0.5f,0.5f,3.0f,4.5f,0.5f,0.5f);
	center02 -> addChild(PutBuilding(building,10.5f,10.0f,alfa,texture));

	alfa = degree_to_radian(10);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,0.5f,0.5f,3.0f,4.5f,0.5f,0.5f);
	center02 -> addChild(PutBuilding(building,12.5f,10.0f,alfa,texture));

	alfa = degree_to_radian(10);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,0.5f,0.5f,3.0f,4.5f,0.5f,0.5f);
	center02 -> addChild(PutBuilding(building,14.5f,10.0f,alfa,texture));

  return(center02);
} 
// -----------------------------------------------------------------------------


// =============================================================================
// konec souboru center02.cpp
// =============================================================================