// =============================================================================
// konec souboru district03.cpp
// =============================================================================

#include "..\structures.h"

POSITION  district03;

// -----------------------------------------------------------------------------
// fce.vytvori mestskou strukturu district03
// -----------------------------------------------------------------------------
SoSeparator* MakeDistrict03() {

  district03.x_min = 0;
	district03.z_min = 0;
	district03.x_max = MAX_GROUND;
	district03.z_max = MAX_GROUND;

  SoSeparator* district03 = new SoSeparator;

  float alfa=0;
  int building=0;
  int end=5;
  float x=2.f;
  float z=2.f;
  float r=1.5;
	TEXTURE texture;
	texture = RandTexture();

	for(int i=1; i<=5; i++, x+=3.f) {
		for(int j=1; j<=4; j++, z+=4.f) {
			texture = NextTexture(texture);
			switch(j) {
			  case 1:
					switch(i) {
					  case 1: 
							alfa=degree_to_radian(90);
							building = SB_from_to_xyz(building,1.5f,1.5f,2.5f,4.0f,1.0f,1.0f);
							district03 -> addChild(PutBuilding(building,x,z,alfa,texture));
						break;
					  case 2: 
							x-=0.5f; z-=1.0f;
							building = SB_from_to_xyz(building,1.5f,1.5f,2.0f,4.0f,0.5f,0.5f);
							district03 -> addChild(PutBuilding(building,x,z,alfa,texture));
							x+=0.5f; z+=1.0f; 
						break;
					  case 3: 
							x-=0.5f; z-=1.0f;
							building = SB_from_to_xyz(building,1.5f,1.5f,2.0f,4.0f,0.5f,0.5f);
							district03 -> addChild(PutBuilding(building,x,z,alfa,texture));
							x+=0.5f; z+=1.0f; 
						break;
					  case 4: 
							x-=0.5f; z-=1.0f;
							building = SB_from_to_xyz(building,1.5f,1.5f,2.0f,4.0f,0.5f,0.5f);
							district03 -> addChild(PutBuilding(building,x,z,alfa,texture));
							x+=0.5f; z+=1.0f; 
						break;
						case 5:
							x-=0.5f; z-=0.5f;
							building = SB_from_to_xyz(building,1.5f,1.5f,2.5f,4.0f,1.0f,1.0f); 
							district03 -> addChild(PutBuilding(building,x,z,alfa,texture));
							x+=0.5f; z+=0.5f;
						break;
					}
				break;
				case 2:
					alfa=0;					
					switch(i) {
					  case 1:
							x-=0.5f; z-=1.5f;
							building = SB_from_to_xyz(building,0.5f,0.5f,2.0f,4.0f,1.0f,1.0f); 
							district03 -> addChild(PutBuilding(building,x,z,alfa,texture));
							x+=0.5f; z+=1.5f;
							alfa=degree_to_radian(180);
							x+=0.5f; z+=0.5f;
							building = SB_from_to_xyz(building,1.5f,1.5f,2.0f,4.0f,1.0f,1.0f);
							district03 -> addChild(PutBuilding(building,x,z,alfa,texture));
							x-=0.5f; z-=0.5f;
						break;
					  case 2:
							z+=1.0f;
							building = SB_from_to_xyz(building,1.0f,1.0f,2.0f,4.0f,0.5f,0.5f); 
							district03 -> addChild(PutBuilding(building,x,z,alfa,texture));
							z-=1.0f;
						break;
					  case 3: 
							z+=1.0f;
							building = SB_from_to_xyz(building,2.0f,2.0f,2.0f,4.0f,0.5f,0.5f); 
							district03 -> addChild(PutBuilding(building,x,z,alfa,texture));
							z-=1.0f;
						break;
					  case 4:
							x-=0.5f;z+=1.0f;
							building = SB_from_to_xyz(building,0.5f,0.5f,2.0f,4.0f,0.5f,0.5f);
							district03 -> addChild(PutBuilding(building,x,z,alfa,texture));
							x+=0.5f;z-=1.0f;							
							x+=1.0f; z+=1.0f;
							building = SB_from_to_xyz(building,1.0f,1.0f,2.5f,2.5f,0.5f,0.5f); 
							district03 -> addChild(PutBuilding(building,x,z,alfa,texture));
							x-=1.0f; z-=1.0f;
						break;
					  case 5: 
							x+=0.5f; z-=3.0f;
							building = SB_from_to_xyz(building,0.5f,0.5f,2.0f,4.0f,0.5f,0.5f); 
							district03 -> addChild(PutBuilding(building,x,z,alfa,texture));
							x-=0.5f; z+=3.0f;
							x+=0.5f; z-=2.0f;
							building = SB_from_to_xyz(building,0.5f,0.5f,2.0f,2.5f,0.5f,0.5f); 
							district03 -> addChild(PutBuilding(building,x,z,alfa,texture));
							x-=0.5f; z+=2.0f;
							alfa=degree_to_radian(270);							 
							building = SB_from_to_xyz(building,1.5f,1.5f,2.0f,4.0f,1.0f,1.0f);
							district03 -> addChild(PutBuilding(building,x,z,alfa,texture));							 
						break;
					} 
				break;
			  case 3:
					switch(i) {
					  case 1:							
							alfa=degree_to_radian(90);
							z+=1.0f;
							building = SB_from_to_xyz(building,1.5f,1.5f,2.5f,4.0f,1.0f,1.0f);
							district03 -> addChild(PutBuilding(building,x,z,alfa,texture));
							z-=1.0f;
						break;
					  case 2: 
							x-=0.5f; 
							building = SB_from_to_xyz(building,1.5f,1.5f,2.0f,4.0f,0.5f,0.5f);
							district03 -> addChild(PutBuilding(building,x,z,alfa,texture));
							x+=0.5f;  
						break;
					  case 3: 
							x-=0.5f; 
							building = SB_from_to_xyz(building,1.5f,1.5f,2.0f,4.0f,0.5f,0.5f);
							district03 -> addChild(PutBuilding(building,x,z,alfa,texture));
							x+=0.5f;  
						break;
					  case 4: 
							x-=0.5f;
							building = SB_from_to_xyz(building,1.5f,1.5f,2.0f,4.0f,0.5f,0.5f);
							district03 -> addChild(PutBuilding(building,x,z,alfa,texture));
							x+=0.5f;  
						break;
						case 5:
							alfa=degree_to_radian(360);
							x-=0.5f; z+=0.5f;
							building = SB_from_to_xyz(building,1.5f,1.5f,2.5f,4.0f,1.0f,1.0f); 
							district03 -> addChild(PutBuilding(building,x,z,alfa,texture));
							x+=0.5f; z-=0.5f;
						break;
					}
				break;
				case 4:
					alfa=0;					
					switch(i) {
					  case 1:
							x-=0.5f; z-=1.0f;
							building = SB_from_to_xyz(building,0.5f,0.5f,2.0f,4.0f,0.5f,0.5f); 
							district03 -> addChild(PutBuilding(building,x,z,alfa,texture));
							x+=0.5f; z+=1.0f;
							alfa=degree_to_radian(180);
							x+=0.5f; z+=0.5f;
							building = SB_from_to_xyz(building,1.5f,1.5f,2.0f,4.0f,1.0f,1.0f);
							district03 -> addChild(PutBuilding(building,x,z,alfa,texture));
							x-=0.5f; z-=0.5f;
						break;
					  case 2:
							z+=1.0f;
							building = SB_from_to_xyz(building,1.0f,1.0f,2.0f,4.0f,0.5f,0.5f); 
							district03 -> addChild(PutBuilding(building,x,z,alfa,texture));
							z-=1.0f;
						break;
					  case 3: 
							z+=1.0f;
							building = SB_from_to_xyz(building,2.0f,2.0f,2.0f,4.0f,0.5f,0.5f); 
							district03 -> addChild(PutBuilding(building,x,z,alfa,texture));
							z-=1.0f;
						break;
					  case 4:
							x-=0.5f;z+=1.0f;
							building = SB_from_to_xyz(building,0.5f,0.5f,2.0f,4.0f,0.5f,0.5f);
							district03 -> addChild(PutBuilding(building,x,z,alfa,texture));
							x+=0.5f;z-=1.0f;							
							x+=1.0f; z+=1.0f;
							building = SB_from_to_xyz(building,1.0f,1.0f,2.5f,2.5f,0.5f,0.5f); 
							district03 -> addChild(PutBuilding(building,x,z,alfa,texture));
							x-=1.0f; z-=1.0f;
						break;
					  case 5: 
							x+=0.5f; z-=2.0f;
							building = SB_from_to_xyz(building,0.5f,0.5f,2.0f,2.5f,0.5f,0.5f); 
							district03 -> addChild(PutBuilding(building,x,z,alfa,texture));
							x-=0.5f; z+=2.0f;
							alfa=degree_to_radian(270);							 
							building = SB_from_to_xyz(building,1.5f,1.5f,2.0f,4.0f,1.0f,1.0f);
							district03 -> addChild(PutBuilding(building,x,z,alfa,texture));							 
						break;
					} 
				break;
			}

			
		}
		z=2.f;
	}

  return(district03);
}
// -----------------------------------------------------------------------------
 

// =============================================================================
// konec souboru district03.cpp
// =============================================================================