// =============================================================================
// soubor square02.cpp
// =============================================================================

#include "..\structures.h"

POSITION  PI03_square02;

// -----------------------------------------------------------------------------
// fce.vytvori mestskou strukturu square02
// -----------------------------------------------------------------------------
SoSeparator* MakeSquare02() {

  PI03_square02.x_min = 0;
	PI03_square02.z_min = 0;
	PI03_square02.x_max = MAX_GROUND;
	PI03_square02.z_max = MAX_GROUND;

  float alfa=0;
  int building=0;
	TEXTURE texture;
	texture = RandTexture();

  SoSeparator* square02 = new SoSeparator;

	alfa = degree_to_radian(90);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,0.5f,0.5f,2.0f,2.5f,1.0f,1.0f);
	square02 -> addChild(PutBuilding(building,0.25f,0.75f,alfa,texture));

	alfa = degree_to_radian(90);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,0.5f,0.5f,2.0f,2.5f,1.0f,1.0f);
	square02 -> addChild(PutBuilding(building,2.25f,0.75f,alfa,texture));

	alfa = degree_to_radian(90);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,0.5f,0.5f,2.0f,2.5f,0.5f,0.5f);
	square02 -> addChild(PutBuilding(building,3.75f,0.75f,alfa,texture));

	alfa = degree_to_radian(90);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,0.5f,0.5f,2.0f,2.5f,0.5f,0.5f);
	square02 -> addChild(PutBuilding(building,4.75f,0.75f,alfa,texture));

	alfa = degree_to_radian(90);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,0.5f,0.5f,2.0f,2.5f,0.5f,0.5f);
	square02 -> addChild(PutBuilding(building,5.75f,0.75f,alfa,texture));

	alfa = degree_to_radian(90);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,0.5f,0.5f,2.0f,2.5f,0.5f,0.5f);
	square02 -> addChild(PutBuilding(building,5.75f,-0.25f,alfa,texture));

	alfa = degree_to_radian(180);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,1.5f,1.5f,2.0f,2.5f,1.0f,1.0f);
	square02 -> addChild(PutBuilding(building,10.0f,0.25f,alfa,texture));

	alfa = degree_to_radian(90);texture = NextTexture(texture);
	building = SB_from_to_xyz(building,0.5f,0.5f,2.0f,2.5f,0.5f,0.5f);
	square02 -> addChild(PutBuilding(building,12.0f,0.75f,alfa,texture));

	alfa = degree_to_radian(90);texture = NextTexture(texture);
	building = SB_from_to_xyz(building,0.5f,0.5f,2.0f,2.5f,0.5f,0.5f);
	square02 -> addChild(PutBuilding(building,13.0f,0.75f,alfa,texture));

	alfa = degree_to_radian(90);texture = NextTexture(texture);
	building = SB_from_to_xyz(building,0.5f,0.5f,2.0f,2.5f,1.5f,1.5f);
	square02 -> addChild(PutBuilding(building,15.0f,0.75f,alfa,texture));

	alfa = degree_to_radian(0);texture = NextTexture(texture);
	building = SB_from_to_xyz(building,0.5f,0.5f,2.0f,2.5f,0.5f,0.5f);
	square02 -> addChild(PutBuilding(building,-0.25f,2.9f,alfa,texture));

	alfa = degree_to_radian(0);texture = NextTexture(texture);
	building = SB_from_to_xyz(building,1.0f,1.0f,2.0f,2.5f,0.5f,0.5f);
	square02 -> addChild(PutBuilding(building,1.25f,2.9f,alfa,texture));

	alfa = degree_to_radian(0);texture = NextTexture(texture);
	building = SB_from_to_xyz(building,0.5f,0.5f,2.0f,2.5f,0.5f,0.5f);
	square02 -> addChild(PutBuilding(building,2.75f,2.9f,alfa,texture));

	alfa = degree_to_radian(0);texture = NextTexture(texture);
	building = SB_from_to_xyz(building,1.5f,1.5f,2.0f,2.5f,1.0f,1.0f);
	square02 -> addChild(PutBuilding(building,4.75f,3.4f,alfa,texture));

	alfa = degree_to_radian(0);texture = NextTexture(texture);
	building = SB_from_to_xyz(building,0.5f,0.5f,2.0f,2.5f,0.5f,0.5f);
	square02 -> addChild(PutBuilding(building,9.0f,3.9f,alfa,texture));

	alfa = degree_to_radian(0);texture = NextTexture(texture);
	building = SB_from_to_xyz(building,0.5f,0.5f,2.0f,2.5f,0.5f,0.5f);
	square02 -> addChild(PutBuilding(building,9.0f,2.9f,alfa,texture));

	alfa = degree_to_radian(0);texture = NextTexture(texture);
	building = SB_from_to_xyz(building,1.0f,1.0f,2.0f,2.5f,0.5f,0.5f);
	square02 -> addChild(PutBuilding(building,10.5f,2.9f,alfa,texture));

	alfa = degree_to_radian(0);texture = NextTexture(texture);
	building = SB_from_to_xyz(building,0.5f,0.5f,2.0f,2.5f,0.5f,0.5f);
	square02 -> addChild(PutBuilding(building,12.0f,2.9f,alfa,texture));

	alfa = degree_to_radian(0);texture = NextTexture(texture);
	building = SB_from_to_xyz(building,2.0f,2.0f,2.0f,2.5f,0.5f,0.5f);
	square02 -> addChild(PutBuilding(building,14.5f,2.9f,alfa,texture));

	alfa = degree_to_radian(45);
	building = SB_from_to_xyz(building,0.5f,0.5f,4.0f,4.5f,0.5f,0.5f);
	square02 -> addChild(PutBuilding(building,0.5f,5.25f,alfa,texture));

	alfa = degree_to_radian(45);
	building = SB_from_to_xyz(building,0.5f,0.5f,4.0f,4.5f,0.5f,0.5f);
	square02 -> addChild(PutBuilding(building,3.0f,5.25f,alfa,texture));

	alfa = degree_to_radian(45);
	building = SB_from_to_xyz(building,0.5f,0.5f,4.0f,4.5f,0.5f,0.5f);
	square02 -> addChild(PutBuilding(building,12.5f,5.25f,alfa,texture));

	alfa = degree_to_radian(45);
	building = SB_from_to_xyz(building,0.5f,0.5f,4.0f,4.5f,0.5f,0.5f);
	square02 -> addChild(PutBuilding(building,15.0f,5.25f,alfa,texture));

	alfa = degree_to_radian(80);texture = NextTexture(texture);
	building = SB_from_to_xyz(building,1.0f,1.0f,4.0f,4.5f,0.5f,0.5f);
	square02 -> addChild(PutBuilding(building,0.5f,11.25f,alfa,texture));

	alfa = degree_to_radian(80);texture = NextTexture(texture);
	building = SB_from_to_xyz(building,1.0f,1.0f,4.0f,4.5f,0.5f,0.5f);
	square02 -> addChild(PutBuilding(building,3.0f,11.25f,alfa,texture));

	alfa = degree_to_radian(80);texture = NextTexture(texture);
	building = SB_from_to_xyz(building,0.5f,0.5f,4.0f,4.5f,0.5f,0.5f);
	square02 -> addChild(PutBuilding(building,5.5f,12.25f,alfa,texture));

	alfa = degree_to_radian(180);texture = NextTexture(texture);
	building = SB_from_to_xyz(building,2.5f,2.5f,1.0f,4.5f,1.0f,1.0f);
	square02 -> addChild(PutBuilding(building,14.0f,11.0f,alfa,texture));

	alfa = degree_to_radian(180);texture = NextTexture(texture);
	building = SB_from_to_xyz(building,1.5f,1.5f,2.0f,2.5f,1.0f,1.0f);
	square02 -> addChild(PutBuilding(building,10.0f,12.6f,alfa,texture));

	alfa = degree_to_radian(90);texture = NextTexture(texture);
	building = SB_from_to_xyz(building,0.5f,0.5f,2.0f,2.5f,0.5f,0.5f);
	square02 -> addChild(PutBuilding(building,12.0f,13.1f,alfa,texture));

	alfa = degree_to_radian(90);texture = NextTexture(texture);
	building = SB_from_to_xyz(building,0.5f,0.5f,2.0f,2.5f,0.5f,0.5f);
	square02 -> addChild(PutBuilding(building,13.0f,13.1f,alfa,texture));

	alfa = degree_to_radian(90);texture = NextTexture(texture);
	building = SB_from_to_xyz(building,0.5f,0.5f,2.0f,2.5f,1.5f,1.5f);
	square02 -> addChild(PutBuilding(building,15.0f,13.1f,alfa,texture));

	alfa = degree_to_radian(0);texture = NextTexture(texture);
	building = SB_from_to_xyz(building,0.5f,0.5f,2.0f,2.5f,0.5f,0.5f);
	square02 -> addChild(PutBuilding(building,-0.25f,15.2f,alfa,texture));

	alfa = degree_to_radian(0);texture = NextTexture(texture);
	building = SB_from_to_xyz(building,1.0f,1.0f,2.0f,2.5f,0.5f,0.5f);
	square02 -> addChild(PutBuilding(building,1.25f,15.2f,alfa,texture));

	alfa = degree_to_radian(0);texture = NextTexture(texture);
	building = SB_from_to_xyz(building,0.5f,0.5f,2.0f,2.5f,0.5f,0.5f);
	square02 -> addChild(PutBuilding(building,2.75f,15.2f,alfa,texture));

	alfa = degree_to_radian(0);texture = NextTexture(texture);
	building = SB_from_to_xyz(building,1.5f,1.5f,2.0f,2.5f,1.0f,1.0f);
	square02 -> addChild(PutBuilding(building,4.75f,15.7f,alfa,texture));

	alfa = degree_to_radian(0);texture = NextTexture(texture);
	building = SB_from_to_xyz(building,0.5f,0.5f,2.0f,2.5f,0.5f,0.5f);
	square02 -> addChild(PutBuilding(building,9.0f,16.2f,alfa,texture));

	alfa = degree_to_radian(0);texture = NextTexture(texture);
	building = SB_from_to_xyz(building,0.5f,0.5f,2.0f,2.5f,0.5f,0.5f);
	square02 -> addChild(PutBuilding(building,9.0f,15.2f,alfa,texture));

	alfa = degree_to_radian(0);texture = NextTexture(texture);
	building = SB_from_to_xyz(building,1.0f,1.0f,2.0f,2.5f,0.5f,0.5f);
	square02 -> addChild(PutBuilding(building,10.5f,15.2f,alfa,texture));

	alfa = degree_to_radian(0);texture = NextTexture(texture);
	building = SB_from_to_xyz(building,0.5f,0.5f,2.0f,2.5f,0.5f,0.5f);
	square02 -> addChild(PutBuilding(building,12.0f,15.2f,alfa,texture));

	alfa = degree_to_radian(0);texture = NextTexture(texture);
	building = SB_from_to_xyz(building,2.0f,2.0f,2.0f,2.5f,0.5f,0.5f);
	square02 -> addChild(PutBuilding(building,14.5f,15.2f,alfa,texture));

  return(square02);
}
// -----------------------------------------------------------------------------
 

// =============================================================================
// konec souboru square02.cpp
// =============================================================================