// =============================================================================
// konec souboru suburb02.cpp
// =============================================================================

#include "..\structures.h"

POSITION  suburb02;

// -----------------------------------------------------------------------------
// fce.vytvori mestskou strukturu suburb02
// -----------------------------------------------------------------------------
SoSeparator* MakeSuburb02() {

  RandTexture();

  suburb02.x_min = 0;
	suburb02.z_min = 0;
	suburb02.x_max = MAX_GROUND;
	suburb02.z_max = MAX_GROUND;

  SoSeparator* suburb02 = new SoSeparator;

  float alfa=0;
  int building=0;
  int end=5;
  float x=2.f;
  float z=2.f;
  float r=1.5;
	TEXTURE texture;
	texture = RandTexture();

	for(int i=1; i<=4; i++, x+=4.f) {
		for(int j=1; j<=4; j++, z+=4.f) {
			texture = RandTexture();
			alfa=0;
			switch(j) {
			  case 1:
					switch(i) {
					  case 1: 
							alfa = degree_to_radian(-20);
							z-=1.0f;
							building = SB_from_to_xyz(building,1.0f,1.0f,1.0f,1.0f,0.5f,0.5f);
							suburb02 -> addChild(PutBuilding(building,x,z,alfa,texture));
							z+=1.0f;
							z+=1.5f;
							building = SB_from_to_xyz(building,1.0f,1.0f,1.0f,1.0f,0.5f,0.5f);
							texture = NextTexture(texture);
							suburb02 -> addChild(PutBuilding(building,x,z,alfa,texture));
							z-=1.5f;
						break;
						case 2:
							alfa = degree_to_radian(90);
							building = SB_from_to_xyz(building,1.5f,1.5f,1.0f,1.0f,0.5f,0.5f); 
							suburb02 -> addChild(PutBuilding(building,x,z,alfa,texture));
						break;
						case 3: 
							alfa = degree_to_radian(90);
							building = SB_from_to_xyz(building,1.5f,1.5f,1.0f,1.0f,0.5f,0.5f);
							texture = NextTexture(texture);
							suburb02 -> addChild(PutBuilding(building,x,z,alfa,texture));
						break;
						case 4: 
							alfa = degree_to_radian(20);
							z-=1.0f;
							building = SB_from_to_xyz(building,1.0f,1.0f,1.5f,1.5f,0.5f,0.5f);
							texture = NextTexture(texture);
							suburb02 -> addChild(PutBuilding(building,x,z,alfa,texture));
							z+=1.0f;
							z+=1.5f;
							building = SB_from_to_xyz(building,1.0f,1.0f,1.5f,1.5f,0.5f,0.5f);
							suburb02 -> addChild(PutBuilding(building,x,z,alfa,texture));
							z-=1.5f;
						break;
					}
				break;
			  case 2:
					switch(i) {
					  case 1: 
							alfa = degree_to_radian(-20);
							building = SB_from_to_xyz(building,1.0f,1.0f,1.0f,1.0f,0.5f,0.5f);
							texture = NextTexture(texture);
							suburb02 -> addChild(PutBuilding(building,x,z,alfa,texture));
						break;
						case 2:
							alfa = degree_to_radian(90);
							building = SB_from_to_xyz(building,1.5f,1.5f,1.0f,1.0f,0.5f,0.5f);
							texture = NextTexture(texture);
							suburb02 -> addChild(PutBuilding(building,x,z,alfa,texture));
						break;
						case 3: 
							alfa = degree_to_radian(90);
							building = SB_from_to_xyz(building,1.5f,1.5f,1.0f,1.0f,0.5f,0.5f);
							suburb02 -> addChild(PutBuilding(building,x,z,alfa,texture));
						break;
						case 4: 
							alfa = degree_to_radian(20);
							building = SB_from_to_xyz(building,1.0f,1.0f,1.5f,1.5f,0.5f,0.5f);
							texture = NextTexture(texture);
							suburb02 -> addChild(PutBuilding(building,x,z,alfa,texture));
						break;
					}
				break;
			  case 3:
					switch(i) {
					  case 1: 
							alfa = degree_to_radian(-20);
							building = SB_from_to_xyz(building,1.0f,1.0f,1.0f,1.0f,0.5f,0.5f);
							suburb02 -> addChild(PutBuilding(building,x,z,alfa,texture));
						break;
						case 2:
							alfa = degree_to_radian(90);
							z+=0.5f;
							building = SB_from_to_xyz(building,1.0f,1.0f,1.0f,1.0f,0.5f,0.5f); 
							texture = NextTexture(texture);
							suburb02 -> addChild(PutBuilding(building,x,z,alfa,texture));
							z-=0.5f;
						break;
						case 3: 
							alfa = degree_to_radian(90);
							z+=0.5f;
							building = SB_from_to_xyz(building,1.0f,1.0f,1.0f,1.0f,0.5f,0.5f); 
							suburb02 -> addChild(PutBuilding(building,x,z,alfa,texture));
							z-=0.5f;
						break;
						case 4: 
							alfa = degree_to_radian(20);
							building = SB_from_to_xyz(building,1.0f,1.0f,1.5f,1.5f,0.5f,0.5f);
							texture = NextTexture(texture);
							suburb02 -> addChild(PutBuilding(building,x,z,alfa,texture));
						break;
					}
				break;
			  case 4:
					switch(i) {
					  case 1: 
							alfa = degree_to_radian(-20);
							z-=1.0f;
							building = SB_from_to_xyz(building,1.0f,1.0f,1.0f,1.0f,0.5f,0.5f);
							texture = NextTexture(texture);
							suburb02 -> addChild(PutBuilding(building,x,z,alfa,texture));
							z+=1.0f;
							z+=1.5f;
							building = SB_from_to_xyz(building,1.0f,1.0f,1.0f,1.0f,0.5f,0.5f);
							texture = NextTexture(texture);
							suburb02 -> addChild(PutBuilding(building,x,z,alfa,texture));
							z-=1.5f;
						break;
						case 2:
							alfa = degree_to_radian(90);
							building = SB_from_to_xyz(building,1.5f,1.5f,1.0f,1.0f,0.5f,0.5f); 
							suburb02 -> addChild(PutBuilding(building,x,z,alfa,texture));
						break;
						case 3: 
							alfa = degree_to_radian(90);
							building = SB_from_to_xyz(building,1.5f,1.5f,1.0f,1.0f,0.5f,0.5f);
							texture = NextTexture(texture);
							suburb02 -> addChild(PutBuilding(building,x,z,alfa,texture));
						break;
						case 4: 
							alfa = degree_to_radian(20);
							z-=1.0f;
							building = SB_from_to_xyz(building,1.0f,1.0f,1.5f,1.5f,0.5f,0.5f);
							suburb02 -> addChild(PutBuilding(building,x,z,alfa,texture));
							z+=1.0f;
							z+=1.5f;
							building = SB_from_to_xyz(building,1.0f,1.0f,1.5f,1.5f,0.5f,0.5f);
							texture = NextTexture(texture);
							suburb02 -> addChild(PutBuilding(building,x,z,alfa,texture));
							z-=1.5f;
						break;
					}
				break;			
			}
		}
		z=2.f;
	}

  return(suburb02);
}
// -----------------------------------------------------------------------------
 

// =============================================================================
// konec souboru suburb02.cpp
// =============================================================================