// =============================================================================
// soubor center03.cpp
// =============================================================================

#include "..\structures.h"

POSITION  center03;

// -----------------------------------------------------------------------------
// fce.vytvori mestskou strukturu center03
// -----------------------------------------------------------------------------
SoSeparator* MakeCentre03() {

  center03.x_min = 0;
	center03.z_min = 0;
	center03.x_max = MAX_GROUND;
	center03.z_max = MAX_GROUND;

  SoSeparator* center03 = new SoSeparator;

  float alfa=0;
  int building=0;
	TEXTURE texture;
	texture = RandTexture();

	alfa = degree_to_radian(90);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,2.5f,2.5f,1.0f,4.5f,1.0f,1.0f);
	center03 -> addChild(PutBuilding(building,4.5f,3.5f,alfa,texture));

	alfa = degree_to_radian(0);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,0.5f,0.5f,2.0f,4.5f,2.0f,2.0f);
	center03 -> addChild(PutBuilding(building,1.5f,3.0f,alfa,texture));

	alfa = degree_to_radian(0);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,0.5f,0.5f,2.0f,2.5f,0.5f,0.5f);
	center03 -> addChild(PutBuilding(building,1.5f,5.5f,alfa,texture));

	alfa = degree_to_radian(270);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,2.5f,2.5f,1.0f,4.5f,1.0f,1.0f);
	center03 -> addChild(PutBuilding(building,4.5f,12.5f,alfa,texture));

	alfa = degree_to_radian(0);
  texture = NextTexture(texture);
	building = SB_from_to_xyz(building,0.5f,0.5f,2.0f,4.5f,1.0f,1.0f);
	center03 -> addChild(PutBuilding(building,1.5f,11.0f,alfa,texture));

	alfa = degree_to_radian(0);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,0.5f,0.5f,2.0f,2.5f,1.5f,1.5f);
	center03 -> addChild(PutBuilding(building,1.5f,13.5f,alfa,texture));

	alfa = degree_to_radian(0);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,2.0f,2.0f,1.0f,4.5f,2.0f,2.0f);
	center03 -> addChild(PutBuilding(building,12.5f,3.5f,alfa,texture));

	alfa = degree_to_radian(0);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,2.0f,2.0f,1.0f,4.5f,2.5f,2.5f);
	center03 -> addChild(PutBuilding(building,12.5f,9.75f,alfa,texture));

	alfa = degree_to_radian(90);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,0.5f,0.5f,2.0f,4.5f,2.0f,2.0f);
	center03 -> addChild(PutBuilding(building,12.5f,14.5f,alfa,texture));

  return(center03);
} 
// -----------------------------------------------------------------------------


// =============================================================================
// konec souboru center03.cpp
// =============================================================================