// =============================================================================
// konec souboru RandomStructure.cpp
// =============================================================================

#include "..\structures.h"

int CanBuild11(int i,int j);\
int CanBuild21(int i,int j);

POSITION  RandomStructure;

const int max_g=16;
GROUND RandomGround[max_g][max_g];
int RandomBuild[max_g][max_g];
int IPs_L,IPs_R,IPs_D,IPs_U;
int cross;

  int Road02_on_R = 0;
	int Road01_on_R = 0;
  int Road02_on_L = 0;
	int Road01_on_L = 0;
  int Road02_on_U = 0;
	int Road01_on_U = 0;
  int Road02_on_D = 0;
	int Road01_on_D = 0;

	int road_L = 0;
	int road_R = 0;
	int road_U = 0;
	int road_D = 0;

  int k;
	int pom_i,pom_j;
	int roads=0;


// -----------------------------------------------------------------------------
void RBkontrola() {

		printf("\n");
		printf("\n");
	for(int i=0;i<max_g;i++) {
		for(int j=0;j<max_g;j++) {
			if(RandomBuild[j][i]<10)
				printf(" ");
			printf("%d ",RandomBuild[j][i]);
	}
	printf("\n");
	}
		printf("\n");
		printf("\n");
}
// -----------------------------------------------------------------------------

// -----------------------------------------------------------------------------
void Rkontrola() {

		printf("\n");
		printf("\n");
	for(int i=0;i<max_g;i++) {
		for(int j=0;j<max_g;j++) {
			if(RandomGround[j][i]<10)
				printf(" ");
			printf("%d ",RandomGround[j][i]);
	}
	printf("\n");
	}
		printf("\n");
		printf("\n");
}
// -----------------------------------------------------------------------------


// -----------------------------------------------------------------------------
// fce.vraci prvek pole RandomGround
// -----------------------------------------------------------------------------
GROUND OnRandomGround(int x, int y) {
	return RandomGround[x][y];
}
// -----------------------------------------------------------------------------


// -----------------------------------------------------------------------------
// Init pro RandomGround
// -----------------------------------------------------------------------------
void SetGrass() {
	for(int i=0;i<=max_g;i++)
		for(int j=0;j<=max_g;j++) {
			RandomGround[i][j] = GRASS;
	}
}
// -----------------------------------------------------------------------------


// -----------------------------------------------------------------------------
// boky 'prevezme okoli' + zjisti kolik je silnic jakeho typu na bocich
// rohy doresit
// -----------------------------------------------------------------------------
void SetRound(int L,int R,int D,int U) {
	if(L>=0) {
		MarkRoad(L);
		for(int j=0;j<max_g;j++) { 
			RandomGround[0][j] = OnGround(15,j);
			if(RandomGround[0][j] == ROAD02_HORIZ) Road02_on_L++;
      if(RandomGround[0][j] == ROAD01_HORIZ) Road01_on_L++;
			if(RandomGround[0][j] == ROAD02_VERT || 
				 RandomGround[0][j] == ROAD02_CROSS &&
				 (j>0 && j<15)) 
				 RandomGround[1][j] = PAWEMENT;
		}
	}

	if(R>=0) {
		MarkRoad(R);
		for(int j=0;j<max_g;j++) {			 
			RandomGround[15][j] = OnGround(0,j);
			if(RandomGround[15][j] == ROAD02_HORIZ) Road02_on_R++;
      if(RandomGround[15][j] == ROAD01_HORIZ) Road01_on_R++;
			if(RandomGround[15][j] == ROAD02_VERT || 
				 RandomGround[15][j] == ROAD02_CROSS &&
				 (j>0 && j<15)) 
				 RandomGround[14][j] = PAWEMENT;
		}
	}

	if(U>=0) {
		MarkRoad(U);
		for(int i=0;i<max_g;i++) {
			if((i==0 || i==15) &&
				 (RandomGround[i][0] == ROAD02_CROSS ||
				  RandomGround[i][0] == ROAD02_CROSS))
				 RandomGround[i][0] = ROAD02_CROSS;
			else
				RandomGround[i][0] = OnGround(i,15);
			if(RandomGround[i][0] == ROAD02_VERT) Road02_on_U++;
      if(RandomGround[i][0] == ROAD01_VERT) Road01_on_U++;
			if(RandomGround[i][0] == ROAD02_HORIZ || 
				 RandomGround[i][0] == ROAD02_CROSS &&
				 (i>0 && i<15)) 
				 RandomGround[i][1] = PAWEMENT;
		}
	}

	if(D>=0) {
		MarkRoad(D);
		for(int i=0;i<max_g;i++) {
			if((i==0 || i==15) &&
				 (RandomGround[i][15] == ROAD02_CROSS ||
				  RandomGround[i][15] == ROAD02_CROSS))
				  RandomGround[i][15] = ROAD02_CROSS;
			else
				RandomGround[i][15] = OnGround(i,0);
			if(RandomGround[i][15] == ROAD02_VERT) Road02_on_D++;
      if(RandomGround[i][15] == ROAD01_VERT) Road01_on_D++;
			if(RandomGround[i][15] == ROAD02_HORIZ || 
				 RandomGround[i][15] == ROAD02_CROSS &&
				 (i>0 && i<15)) 
				 RandomGround[i][14] = PAWEMENT;			
		}
	}
}
// -----------------------------------------------------------------------------


// -----------------------------------------------------------------------------
// fce.SetFromLtoR
// -----------------------------------------------------------------------------
void SetFromLtoR() {
	for(int j=1;j<=14;j++) {
		if(RandomGround[0][j] == ROAD01_HORIZ || 
			 RandomGround[0][j] == ROAD02_HORIZ ||
			 RandomGround[0][j] == ROAD02_CROSS) {
			if(RandomGround[0][j] == ROAD01_HORIZ) Road01_on_L--;
			if(RandomGround[0][j] == ROAD02_HORIZ) Road02_on_L--;
      for(int i=1;i<=15;i++) {
				if(RandomGround[0][j] == ROAD01_HORIZ)
					RandomGround[i][j] = ROAD01_HORIZ;
				else {
					if(RandomGround[0][j-1] == SIDEWALK_UP)
						RandomGround[i][j-1] = SIDEWALK_UP;
					else
						if(RandomGround[i][j-1] != ROAD02_HORIZ)
						  RandomGround[i][j-1] = PAWEMENT;
					RandomGround[i][j] = ROAD02_HORIZ;
					if(RandomGround[0][j+1] == SIDEWALK_DOWN)
						RandomGround[i][j+1] = SIDEWALK_DOWN;
					else
						if(RandomGround[i][j+1] != ROAD02_HORIZ)
						  RandomGround[i][j+1] = PAWEMENT;
				} // else
			}	// for
		} //if
	} // for
}
// -----------------------------------------------------------------------------


// -----------------------------------------------------------------------------
// fce.SetFromRtoL
// -----------------------------------------------------------------------------
void SetFromRtoL() {
	for(int j=1;j<=14;j++) {
		if(RandomGround[15][j] == ROAD01_HORIZ || 
			 RandomGround[15][j] == ROAD02_HORIZ ||
			 RandomGround[15][j] == ROAD02_CROSS) {
			if(RandomGround[15][j] == ROAD01_HORIZ) Road01_on_R--;
			if(RandomGround[15][j] == ROAD02_HORIZ) Road02_on_R--;			 
      for(int i=14;i>=0;i--) {
				if(RandomGround[15][j] == ROAD01_HORIZ)
					RandomGround[i][j] = ROAD01_HORIZ;
				else {
					if(RandomGround[15][j-1] == SIDEWALK_UP)
						RandomGround[i][j-1] = SIDEWALK_UP;
					else
						if(RandomGround[i][j-1] != ROAD02_HORIZ)
						  RandomGround[i][j-1] = PAWEMENT;
					RandomGround[i][j] = ROAD02_HORIZ;
					if(RandomGround[15][j+1] == SIDEWALK_DOWN)
						RandomGround[i][j+1] = SIDEWALK_DOWN;
					else
						if(RandomGround[i][j+1] != ROAD02_HORIZ)
							RandomGround[i][j+1] = PAWEMENT;
				} // else
			} // for	
		} // if
	} // for
}
// -----------------------------------------------------------------------------


// -----------------------------------------------------------------------------
// fce.SetFromDtoU
// -----------------------------------------------------------------------------
void SetFromDtoU() {
	for(int i=1;i<=14;i++) {
		if(RandomGround[i][15] == ROAD01_VERT || 
			 RandomGround[i][15] == ROAD02_VERT || 
			 RandomGround[i][15] == ROAD02_CROSS) {
			if(RandomGround[i][15] == ROAD01_VERT) Road01_on_D--;
			if(RandomGround[i][15] == ROAD02_VERT) Road02_on_D--;			
      for(int j=14;j>=0;j--) {
				if(RandomGround[i][15] == ROAD01_VERT)
					RandomGround[i][j] = ROAD01_VERT;
				else {
					if(RandomGround[i-1][15] == SIDEWALK_RIGHT)
						RandomGround[i-1][j] = SIDEWALK_RIGHT;
					else
						RandomGround[i-1][j] = PAWEMENT;
					RandomGround[i][j] = ROAD02_VERT;
					if(RandomGround[i+1][15] == SIDEWALK_LEFT)
						RandomGround[i+1][j] = SIDEWALK_LEFT;
					else
						RandomGround[i+1][j] = PAWEMENT;
				} // else
			} // for
		} // if
	} // for
}
// -----------------------------------------------------------------------------


// -----------------------------------------------------------------------------
// fce.SetFromUtoD
// -----------------------------------------------------------------------------
void SetFromUtoD() {
	for(int i=1;i<=14;i++) {
		if(RandomGround[i][0] == ROAD02_VERT || 
			 RandomGround[i][0] == ROAD01_VERT ||
			 RandomGround[i][0] == ROAD02_CROSS) {
			if(RandomGround[i][0] == ROAD01_VERT) Road01_on_U--;
			if(RandomGround[i][0] == ROAD02_VERT) Road02_on_U--;			
      for(int j=1;j<=15;j++) {
				if(RandomGround[i][0] == ROAD01_VERT)
					RandomGround[i][j] = ROAD01_VERT;
				else {
					if(RandomGround[i-1][0] == SIDEWALK_RIGHT)
						RandomGround[i-1][j] = SIDEWALK_RIGHT;
					else
						RandomGround[i-1][j] = PAWEMENT;
					RandomGround[i][j] = ROAD02_VERT;
					if(RandomGround[i+1][0] == SIDEWALK_LEFT)
						RandomGround[i+1][j] = SIDEWALK_LEFT;
					else
						RandomGround[i+1][j] = PAWEMENT;
				} // else;
			}	// for
		} // if
	} // for
}
// -----------------------------------------------------------------------------


// -----------------------------------------------------------------------------
// fce.SetFromLtoRoad;
// -----------------------------------------------------------------------------
void SetFromLtoRoad() {
	for(int j=1;j<=14;j++) {
		if(RandomGround[0][j] == ROAD01_HORIZ || 
			 RandomGround[0][j] == ROAD02_HORIZ ||
			 RandomGround[0][j] == ROAD02_CROSS) {
			if(RandomGround[0][j] == ROAD01_HORIZ) Road01_on_L--;
			if(RandomGround[0][j] == ROAD02_HORIZ) Road02_on_L--;
			int i=1;
      while(RandomGround[i][j] != ROAD01_VERT &&
				    RandomGround[i][j] != ROAD02_VERT) {
				if(RandomGround[0][j] == ROAD01_HORIZ)
					RandomGround[i][j] = ROAD01_HORIZ;
				else {
					if(RandomGround[0][j-1] == SIDEWALK_UP)
						RandomGround[i][j-1] = SIDEWALK_UP;
					else
						if(RandomGround[i][j-1] != ROAD02_HORIZ)
							RandomGround[i][j-1] = PAWEMENT;
					RandomGround[i][j] = ROAD02_HORIZ;
					if(RandomGround[0][j+1] == SIDEWALK_DOWN)
						RandomGround[i][j+1] = SIDEWALK_DOWN;
					else
						if(RandomGround[i][j+1] != ROAD02_HORIZ)
							RandomGround[i][j+1] = PAWEMENT;
				} // else
			  i++;
			}	// while
			// vytvoreni prislusne krizovatky + spravne napojeni chodniku
				if(RandomGround[i][j] == ROAD01_VERT)
					if(RandomGround[i-1][j] == ROAD01_HORIZ)
					  RandomGround[i][j] = ROAD01_CROSS_TL;
					else
						RandomGround[i][j] = ROAD01_C02_L;
				else {
					if(RandomGround[i-1][j] == ROAD02_HORIZ) {
					  if(RandomGround[i-1][j-1] == SIDEWALK_UP &&
						   RandomGround[i][j-1] == SIDEWALK_RIGHT)
						  RandomGround[i-1][j-1] = SIDEWALK_C_RU;
					  else
							if(RandomGround[i-1][j-1] != ROAD02_HORIZ)
								RandomGround[i-1][j-1] = PAWEMENT;
					  RandomGround[i][j] = ROAD02_CROSS;
					  if(RandomGround[i-1][j+1] == SIDEWALK_DOWN &&
						   RandomGround[i][j+1] == SIDEWALK_RIGHT)
						  RandomGround[i-1][j+1] = SIDEWALK_C_RD;
					  else
							if(RandomGround[i-1][j+1] != ROAD02_HORIZ)
								RandomGround[i-1][j+1] = PAWEMENT;
					} // if
				} // else
		} //if
	} // for
}
// -----------------------------------------------------------------------------


// -----------------------------------------------------------------------------
// fce.SetFromRtoRoad;
// -----------------------------------------------------------------------------
void SetFromRtoRoad() {
	for(int j=1;j<=14;j++) {
		if(RandomGround[15][j] == ROAD01_HORIZ || 
			 RandomGround[15][j] == ROAD02_HORIZ ||
			 RandomGround[15][j] == ROAD02_CROSS) {
			if(RandomGround[15][j] == ROAD01_HORIZ) Road01_on_R--;
			if(RandomGround[15][j] == ROAD02_HORIZ) Road02_on_R--;
			int i=14;
      while(RandomGround[i][j] != ROAD01_VERT &&
				    RandomGround[i][j] != ROAD02_VERT &&
						RandomGround[i][j] != ROAD02_CROSS &&
						RandomGround[i][j] != ROAD01_C02_L &&
						RandomGround[i][j] != ROAD01_CROSS_TL) {
				if(RandomGround[15][j] == ROAD01_HORIZ)
					RandomGround[i][j] = ROAD01_HORIZ;
				else {
					if(RandomGround[15][j-1] == SIDEWALK_UP)
						RandomGround[i][j-1] = SIDEWALK_UP;
					else
						if(RandomGround[i][j-1] != ROAD02_HORIZ)
							RandomGround[i][j-1] = PAWEMENT;
					RandomGround[i][j] = ROAD02_HORIZ;
					if(RandomGround[15][j+1] == SIDEWALK_DOWN)
						RandomGround[i][j+1] = SIDEWALK_DOWN;
					else
						if(RandomGround[i][j+1] != ROAD02_HORIZ)
							RandomGround[i][j+1] = PAWEMENT;
				} // else
			  i--;
			}	// while			
			// vytvoreni prislusne krizovatky + spravne napojeni chodniku
				if(RandomGround[i][j] == ROAD01_VERT)
					if(RandomGround[i+1][j] == ROAD01_HORIZ)
					  RandomGround[i][j] = ROAD01_CROSS_TR;
					else
						RandomGround[i][j] = ROAD01_C02_R;
				else {
					if(RandomGround[i+1][j] == ROAD02_HORIZ) {
					  if(RandomGround[i+1][j-1] == SIDEWALK_DOWN &&
						   RandomGround[i][j-1] == SIDEWALK_LEFT)
						  RandomGround[i+1][j-1] = SIDEWALK_C_LU;
					  else
							if(RandomGround[i+1][j-1] != ROAD02_HORIZ)
								RandomGround[i+1][j-1] = PAWEMENT;
					  RandomGround[i][j] = ROAD02_CROSS;
					  if(RandomGround[i+1][j+1] == SIDEWALK_UP &&
						   RandomGround[i][j+1] == SIDEWALK_LEFT)
						  RandomGround[i+1][j+1] = SIDEWALK_C_LD;
					  else
							if(RandomGround[i+1][j+1] != ROAD02_HORIZ)
								RandomGround[i+1][j+1] = PAWEMENT;
					} // if				
				} // else				
		} //if
	} // for
}
// -----------------------------------------------------------------------------


// -----------------------------------------------------------------------------
// fce.SetFromDtoRoad;
// -----------------------------------------------------------------------------
void SetFromDtoRoad() {
	for(int i=1;i<=14;i++) {
		if(RandomGround[i][15] == ROAD01_VERT || 
			 RandomGround[i][15] == ROAD02_VERT ||
			 RandomGround[i][15] == ROAD02_CROSS) {
			if(RandomGround[i][15] == ROAD01_VERT) Road01_on_D--;
			if(RandomGround[i][15] == ROAD02_VERT) Road02_on_D--;
			int j=14;
      while(RandomGround[i][j] != ROAD01_HORIZ &&
				    RandomGround[i][j] != ROAD02_HORIZ) {
				if(RandomGround[i][15] == ROAD01_VERT)
					RandomGround[i][j] = ROAD01_VERT;
				else {
					if(RandomGround[i-1][15] == SIDEWALK_RIGHT)
						RandomGround[i-1][j] = SIDEWALK_RIGHT;
					else
						RandomGround[i-1][j] = PAWEMENT;
					RandomGround[i][j] = ROAD02_VERT;
					if(RandomGround[i+1][15] == SIDEWALK_LEFT)
						RandomGround[i+1][j] = SIDEWALK_LEFT;
					else
						RandomGround[i+1][j] = PAWEMENT;
				} // else
			  j--;
			}	// while			
			// vytvoreni prislusne krizovatky + spravne napojeni chodniku
				if(RandomGround[i][j] == ROAD01_HORIZ)
					if(RandomGround[i][j+1] == ROAD01_VERT)
					  RandomGround[i][j] = ROAD01_CROSS_TU;
					else
						RandomGround[i][j] = ROAD01_C02_U;
				else {
					if(RandomGround[i][j+1] == ROAD02_VERT) {
					  if(RandomGround[i-1][j+1] == SIDEWALK_DOWN &&
						   RandomGround[i-1][j+2] == SIDEWALK_RIGHT)
						  RandomGround[i-1][j+1] = SIDEWALK_C_RD;
					  else
						  RandomGround[i-1][j+1] = PAWEMENT;
					  RandomGround[i][j] = ROAD02_CROSS;
					  if(RandomGround[i+1][j+1] == SIDEWALK_DOWN &&
						   RandomGround[i+1][j+2] == SIDEWALK_RIGHT)
						  RandomGround[i+1][j+1] = SIDEWALK_C_LD;
					  else
						  RandomGround[i+1][j+1] = PAWEMENT;
					} // if
				} // else			
		} //if
	} // for
}
// -----------------------------------------------------------------------------


// -----------------------------------------------------------------------------
// fce.SetFromUtoRoad;
// -----------------------------------------------------------------------------
void SetFromUtoRoad() {
	for(int i=1;i<=14;i++) {
		if(RandomGround[i][0] == ROAD01_VERT || 
			 RandomGround[i][0] == ROAD02_VERT ||
			 RandomGround[i][0] == ROAD02_CROSS) {
			if(RandomGround[i][0] == ROAD01_VERT) Road01_on_U--;
			if(RandomGround[i][0] == ROAD02_VERT) Road02_on_U--;
			int j=1;
      while(RandomGround[i][j] != ROAD01_HORIZ &&
				    RandomGround[i][j] != ROAD02_HORIZ &&
						RandomGround[i][j] != ROAD02_CROSS &&
						RandomGround[i][j] != ROAD01_C02_U &&
						RandomGround[i][j] != ROAD01_CROSS_TU) {
				if(RandomGround[i][0] == ROAD01_VERT)
					RandomGround[i][j] = ROAD01_VERT;
				else {
					if(RandomGround[i-1][0] == SIDEWALK_RIGHT)
						RandomGround[i-1][j] = SIDEWALK_RIGHT;
					else
						RandomGround[i-1][j] = PAWEMENT;
					RandomGround[i][j] = ROAD02_VERT;
					if(RandomGround[i+1][0] == SIDEWALK_LEFT)
						RandomGround[i+1][j] = SIDEWALK_LEFT;
					else
						RandomGround[i+1][j] = PAWEMENT;
				} // else
			  j++;
			}	// while			
			// vytvoreni prislusne krizovatky + spravne napojeni chodniku
				if(RandomGround[i][j] == ROAD01_HORIZ)
					if(RandomGround[i][j-1] == ROAD01_VERT)
					  RandomGround[i][j] = ROAD01_CROSS_TD;
					else
						RandomGround[i][j] = ROAD01_C02_D;
				else {
					if(RandomGround[i][j-1] == ROAD02_VERT) {
					  if(RandomGround[i-1][j-1] == SIDEWALK_UP &&
						   RandomGround[i-1][j-2] == SIDEWALK_RIGHT)
						  RandomGround[i-1][j-1] = SIDEWALK_C_RU;
					  else
						  RandomGround[i-1][j-1] = PAWEMENT;
					  RandomGround[i][j] = ROAD02_CROSS;
					  if(RandomGround[i+1][j-1] == SIDEWALK_UP &&
						   RandomGround[i+1][j-2] == SIDEWALK_LEFT)
						  RandomGround[i+1][j-1] = SIDEWALK_C_RD;
					  else
						  RandomGround[i+1][j-1] = PAWEMENT;
					} // if				
				} // else								
		} //if
	} // for
}
// -----------------------------------------------------------------------------


// -----------------------------------------------------------------------------
// Zjisti zda-li se na miste da postavit budova  velikosti 1 na 1
// -----------------------------------------------------------------------------
int CanBuild11(int i,int j) {
	int	can_build = 0;
	// stavime na travu
	if(RandomGround[i-1][j-1] == GRASS) {
	// u cest  
		if(i>1) // z leva
		  if(RandomGround[i-2][j-1] != GRASS) can_build = 1;
		if(i<16) // z prava
		  if(RandomGround[i][j-1] != GRASS) can_build = 1;
		if(j>1) // z hora
		  if(RandomGround[i-1][j-2] != GRASS) can_build = 1;
		if(j<16) // z dola
		  if(RandomGround[i-1][j] != GRASS) can_build = 1;
		if(i<16 && j>1) // z hora neni budova // NEHUSTE!!!
		  if(RandomBuild[i-1][j-2] == 1) 
				can_build = 0;
	}
	return(can_build);
}
// ----------------------------------------------------------------------------


// -----------------------------------------------------------------------------
// Zjisti zda-li se na miste da postavit budova  velikosti 2 na 1
// -----------------------------------------------------------------------------
int CanBuild21(int i,int j) {
	int	can_build = 0;
	if(i<16) { // z prava volno
	  if(CanBuild11(i,j) == 1)
		  if(RandomGround[i][j-1] == GRASS) can_build = 1;
			if(i<16 && j>1) // z hora neni budova
			  if(RandomBuild[i-1][j-2] == 1) 
					can_build = 0;
		}
		else can_build = 0;
	return(can_build);
}
// -----------------------------------------------------------------------------


// -----------------------------------------------------------------------------
// Zjisti zda-li se na miste da postavit budova  velikosti 3 na 1
// -----------------------------------------------------------------------------
int CanBuild31(int i,int j) {
	int	can_build = 0;
	if(i<15) { // z prava
		if(CanBuild21(i,j) == 1)		
		  if(RandomGround[i+1][j-1] == GRASS) can_build = 1;
		}
		else can_build = 0; 
	return(can_build);
}
// -----------------------------------------------------------------------------


// -----------------------------------------------------------------------------
// Zjisti zda-li se na miste da postavit budova  velikosti 4 na 1
// -----------------------------------------------------------------------------
int CanBuild41(int i,int j) {
	int	can_build = 0;
		if(i<14) { // z prava
			if(CanBuild31(i,j) == 1)
		    if(RandomGround[i+2][j-1] == GRASS) can_build = 1;
		}
		else can_build = 0;
	return(can_build);
}
// -----------------------------------------------------------------------------


// -----------------------------------------------------------------------------
// fce.vytvori mestskou strukturu RandomStructure
// -----------------------------------------------------------------------------
SoSeparator* MakeRandomStructure() {

// extern nefuguje jak ma ??? pridavam pomoc 
int IPsL = IPs_L;
int IPsR = IPs_R;
int IPsD = IPs_D;
int IPsU = IPs_U;

int corn;

  k=0;
	//printf("\n\t %d %d %d %d \n",IPs_L,IPs_R,IPs_U,IPs_D);
	//printf("\n\t %d %d %d %d \n",IPsL,IPsR,IPsU,IPsD);

  SetGrass();

	//printf("\n\t %d %d %d %d \n",IPs_L,IPs_R,IPs_U,IPs_D);
	//printf("\n\t %d %d %d %d \n",IPsL,IPsR,IPsU,IPsD);

	// ----- ----- ----- -----
	// 0 - ty krok
	// - predani povrchu(cest) oklolnich struktur
  SetRound(IPsL,IPsR,IPsD,IPsU);

	// ----- ----- ----- -----
	// 1 krok 
	// - osetreni rohu
	// - Protahni navazovaci silnice az k okraji struktury

	// LEFT to RIGHT
	if(IPsR == -1) {
		// osetreni rohu
		corn = 1;
		if(RandomGround[0][0] == ROAD02_CROSS || 
			 RandomGround[0][15] == ROAD02_CROSS || 
			 RandomGround[15][0] == ROAD02_CROSS || 
			 RandomGround[15][15] == ROAD02_CROSS) {      
			 // 4 kdyz vsechny rohy obsahuji kriz.
		   if(RandomGround[0][0] == ROAD02_CROSS &&
			    RandomGround[0][15] == ROAD02_CROSS && 
			    RandomGround[15][0] == ROAD02_CROSS && 
			    RandomGround[15][15] == ROAD02_CROSS)
				 // jsou-li paralelni silnice ze vsech stran
				 if(RandomGround[0][1] == ROAD02_VERT) {
           RandomGround[15][1] = PAWEMENT;
					 RandomGround[15][14] = PAWEMENT;
					 corn = 0;
				 }
				 else {
           RandomGround[15][1] = PAWEMENT;
					 RandomGround[15][14] = PAWEMENT;
					 RandomGround[0][1] = PAWEMENT;
					 RandomGround[0][0] = ROAD02_90T_DR;
					 RandomGround[0][14] = PAWEMENT;					 
					 RandomGround[0][15] = ROAD02_90T_UR;
					 corn = 0;
				 }			 			 
			// 3 kdyz 3rohy obsahuji kriz.
			if(corn == 1) {
			if(RandomGround[0][0] == ROAD02_CROSS &&
			   RandomGround[0][15] == ROAD02_CROSS) {
			  if(RandomGround[15][15] == ROAD02_CROSS &&
			     RandomGround[15][0] != ROAD02_CROSS) {
				  RandomGround[15][14] = PAWEMENT;
				  RandomGround[1][0] = PAWEMENT;
				  RandomGround[0][0] = ROAD02_90T_UL;
					corn = 0;
				}
				if(RandomGround[15][0] == ROAD02_CROSS &&
				   RandomGround[15][15] != ROAD02_CROSS) {
				  RandomGround[15][1] = PAWEMENT;
				  RandomGround[1][15] = PAWEMENT;
				  RandomGround[0][15] = ROAD02_90T_DL;
					corn = 0;
				}
			}
			}
			if(corn == 1) {
			// 2 kdyz 2rohy obsahuji kriz.				 
			if(RandomGround[0][0] == ROAD02_CROSS &&
			   RandomGround[0][15] == ROAD02_CROSS) 
				 if(RandomGround[15][0] != ROAD02_CROSS ||
					  RandomGround[15][15] != ROAD02_CROSS) {
					 RandomGround[1][0] = PAWEMENT;
					 RandomGround[0][0] = ROAD02_90T_UL;
					 RandomGround[1][15] = PAWEMENT;
					 RandomGround[0][15] = ROAD02_90T_DL;
					 corn = 0;
				 }			
			if(RandomGround[0][0] == ROAD02_CROSS &&
			   RandomGround[15][0] == ROAD02_CROSS) 
				 if(RandomGround[0][15] != ROAD02_CROSS ||
					  RandomGround[15][15] != ROAD02_CROSS) {
					 RandomGround[15][1] = PAWEMENT;
					 RandomGround[0][1] = PAWEMENT;
					 RandomGround[0][0] = ROAD02_90T_DR;
					 corn = 0;
				 }
			if(RandomGround[0][15] == ROAD02_CROSS &&
			   RandomGround[15][15] == ROAD02_CROSS) 
				 if(RandomGround[0][0] != ROAD02_CROSS ||
					  RandomGround[15][0] != ROAD02_CROSS) {
					 RandomGround[15][14] = PAWEMENT;
					 RandomGround[0][14] = PAWEMENT;
					 RandomGround[0][15] = ROAD02_90T_UR;
					 corn = 0;
				 }
			}
			}
		cross=0;
		for(int j=1;j<=14;j++)
			if(RandomGround[0][j] == ROAD02_CROSS) cross++;
		// neni-li zadna silnice ani neni-li kriz. pridam navazne krizovatky
		if(Road01_on_L+Road02_on_L+cross==0) { 
			RandomGround[0][5] = ROAD02_CROSS;
			RandomGround[0][9] = ROAD02_CROSS;
		}
		SetFromLtoR();
	}


  // RIGHT to LEFT 
	if(IPsL == -1) {
		// osetreni rohu
		corn = 1;
		if(RandomGround[0][0] == ROAD02_CROSS || 
			 RandomGround[0][15] == ROAD02_CROSS || 
			 RandomGround[15][0] == ROAD02_CROSS || 
			 RandomGround[15][15] == ROAD02_CROSS) {
			 // kdyz vsechny rohy obshuji kriz.
		   if(RandomGround[0][0] == ROAD02_CROSS &&
			   RandomGround[0][15] == ROAD02_CROSS && 
			   RandomGround[15][0] == ROAD02_CROSS && 
				 RandomGround[15][15] == ROAD02_CROSS) 
				 // jsou-li paralelni silnice ze vsech stran
				 if(RandomGround[15][1] == ROAD02_VERT) {
           RandomGround[0][1] = PAWEMENT;
					 RandomGround[0][14] = PAWEMENT;
					 corn = 0;
				 }
				 else {
           RandomGround[0][1] = PAWEMENT;
					 RandomGround[0][14] = PAWEMENT;
					 RandomGround[15][1] = PAWEMENT;
					 RandomGround[15][0] = ROAD02_90T_DL;
					 RandomGround[15][14] = PAWEMENT;					 
					 RandomGround[15][15] = ROAD02_90T_UL;
					 corn = 0;
				 }
			// 3 kdyz 3rohy obsahuji kriz.
			if(corn == 1) {
			if(RandomGround[15][0] == ROAD02_CROSS &&
			   RandomGround[15][15] == ROAD02_CROSS) {
			  if(RandomGround[0][15] == ROAD02_CROSS &&
			     RandomGround[0][0] != ROAD02_CROSS) {
				  RandomGround[0][14] = PAWEMENT;
				  RandomGround[14][0] = PAWEMENT;
				  RandomGround[15][0] = ROAD02_90T_UR;
					corn = 0;
				}
				if(RandomGround[0][0] == ROAD02_CROSS &&
				   RandomGround[0][15] != ROAD02_CROSS) {
				  RandomGround[0][1] = PAWEMENT;
				  RandomGround[14][15] = PAWEMENT;
				  RandomGround[15][15] = ROAD02_90T_DR;
					corn = 0;
				}
			}
			}
			// 2 kdyz 2rohy obsahuji kriz.				 
			if(corn == 1) {
			if(RandomGround[15][0] == ROAD02_CROSS &&
			   RandomGround[15][15] == ROAD02_CROSS) 
				 if(RandomGround[0][0] != ROAD02_CROSS ||
					  RandomGround[0][15] != ROAD02_CROSS) {
					 RandomGround[14][0] = PAWEMENT;
					 RandomGround[15][0] = ROAD02_90T_UR;
					 RandomGround[14][15] = PAWEMENT;
					 RandomGround[15][15] = ROAD02_90T_DR;
					 corn = 0;
				 }			
			if(RandomGround[0][0] == ROAD02_CROSS &&
			   RandomGround[15][0] == ROAD02_CROSS) 
				 if(RandomGround[0][15] != ROAD02_CROSS ||
					  RandomGround[15][15] != ROAD02_CROSS) {
					 RandomGround[15][1] = PAWEMENT;
					 RandomGround[0][1] = PAWEMENT;
					 RandomGround[15][0] = ROAD02_90T_DL;
					 corn = 0;
				 }
			if(RandomGround[0][15] == ROAD02_CROSS &&
			   RandomGround[15][15] == ROAD02_CROSS) 
				 if(RandomGround[0][0] != ROAD02_CROSS ||
					  RandomGround[15][0] != ROAD02_CROSS) {
					 RandomGround[15][14] = PAWEMENT;
					 RandomGround[0][14] = PAWEMENT;
					 RandomGround[15][15] = ROAD02_90T_UL;
					 corn = 0;
				 }
			}
		  }
		cross=0;
		for(int j=1;j<=14;j++)
			if(RandomGround[15][j] == ROAD02_CROSS) cross++;
		// neni-li zadna silnice ani neni-li kriz. pridam navazne krizovatky
		if(Road01_on_R+Road02_on_R+cross==0) { 
			RandomGround[15][5] = ROAD02_CROSS;
			RandomGround[15][9] = ROAD02_CROSS;
		}
		SetFromRtoL();
	}

  // DOWN to UP
	if(IPsU == -1) {
		// osetreni rohu
		corn = 1;
		if(RandomGround[0][0] == ROAD02_CROSS || 
			 RandomGround[0][15] == ROAD02_CROSS || 
			 RandomGround[15][0] == ROAD02_CROSS || 
			 RandomGround[15][15] == ROAD02_CROSS) {
			 // kdyz vsechny rohy obshuji kriz.
		   if(RandomGround[0][0] == ROAD02_CROSS &&
			   RandomGround[0][15] == ROAD02_CROSS && 
			   RandomGround[15][0] == ROAD02_CROSS && 
			   RandomGround[15][15] == ROAD02_CROSS)
				 // jsou-li paralelni silnice ze vsech stran
				 if(RandomGround[1][15] == ROAD02_HORIZ) {
           RandomGround[1][0] = PAWEMENT;
					 RandomGround[14][0] = PAWEMENT;
					 corn = 0;
				 }
				 else {
           RandomGround[1][0] = PAWEMENT;
					 RandomGround[14][0] = PAWEMENT;
					 RandomGround[1][15] = PAWEMENT;
					 RandomGround[0][15] = ROAD02_90T_DL;
					 RandomGround[14][15] = PAWEMENT;					 
					 RandomGround[15][15] = ROAD02_90T_DR;
					 corn = 0;
				 }
			// 3 kdyz 3rohy obsahuji kriz.
			if(corn == 1) {
			if(RandomGround[0][15] == ROAD02_CROSS &&
			   RandomGround[15][15] == ROAD02_CROSS) {
			  if(RandomGround[0][0] == ROAD02_CROSS &&
			     RandomGround[15][0] != ROAD02_CROSS) {
				  RandomGround[1][0] = PAWEMENT;
				  RandomGround[15][14] = PAWEMENT;
				  RandomGround[15][15] = ROAD02_90T_UL;
					corn = 0;
				}
				if(RandomGround[15][0] == ROAD02_CROSS &&
				   RandomGround[0][0] != ROAD02_CROSS) {
				  RandomGround[14][0] = PAWEMENT;
				  RandomGround[0][14] = PAWEMENT;
				  RandomGround[0][15] = ROAD02_90T_UR;
					corn = 0;
				}
			}
			}
			// 2 kdyz 2rohy obsahuji kriz.				 
			if(corn == 1) {
			if(RandomGround[0][15] == ROAD02_CROSS &&
			   RandomGround[15][15] == ROAD02_CROSS) 
				 if(RandomGround[0][0] != ROAD02_CROSS ||
					  RandomGround[15][0] != ROAD02_CROSS) {
					 RandomGround[0][14] = PAWEMENT;
					 RandomGround[0][15] = ROAD02_90T_UR;
					 RandomGround[15][14] = PAWEMENT;
					 RandomGround[15][15] = ROAD02_90T_UL;
					 corn = 0;
				 }			
			if(RandomGround[0][15] == ROAD02_CROSS &&
			   RandomGround[0][0] == ROAD02_CROSS) 
				 if(RandomGround[15][0] != ROAD02_CROSS ||
					  RandomGround[15][15] != ROAD02_CROSS) {
					 RandomGround[1][0] = PAWEMENT;
					 RandomGround[1][15] = PAWEMENT;
					 RandomGround[0][15] = ROAD02_90T_DL;
					 corn = 0;
				 }
			if(RandomGround[15][0] == ROAD02_CROSS &&
			   RandomGround[15][15] == ROAD02_CROSS) 
				 if(RandomGround[0][0] != ROAD02_CROSS ||
					  RandomGround[0][15] != ROAD02_CROSS) {
					 RandomGround[14][0] = PAWEMENT;
					 RandomGround[14][15] = PAWEMENT;
					 RandomGround[15][15] = ROAD02_90T_DR;
					 corn = 0;
				 }
			}
		  }
		cross=0;
		for(int i=1;i<=14;i++)
			if(RandomGround[i][15] == ROAD02_CROSS) cross++;
		// neni-li zadna silnice ani neni-li kriz. pridam navazne krizovatky
		if(Road01_on_D+Road02_on_D+cross==0) { 
			RandomGround[5][15] = ROAD02_CROSS;
			RandomGround[9][15] = ROAD02_CROSS;
		}
		SetFromDtoU();
	}

	// UP to DOWN
	if(IPsD == -1) {
		// osetreni rohu
		corn = 1;
		if(RandomGround[0][0] == ROAD02_CROSS || 
			 RandomGround[0][15] == ROAD02_CROSS || 
			 RandomGround[15][0] == ROAD02_CROSS || 
			 RandomGround[15][15] == ROAD02_CROSS) {
			 // kdyz vsechny rohy obshuji kriz.
		   if(RandomGround[0][0] == ROAD02_CROSS &&
			   RandomGround[0][15] == ROAD02_CROSS && 
			   RandomGround[15][0] == ROAD02_CROSS && 
			   RandomGround[15][15] == ROAD02_CROSS)
				 // jsou-li paralelni silnice ze vsech stran
				 if(RandomGround[1][0] == ROAD02_HORIZ) {
           RandomGround[1][15] = PAWEMENT;
					 RandomGround[14][15] = PAWEMENT;
					 corn = 0;
				 }
				 else {
           RandomGround[1][15] = PAWEMENT;
					 RandomGround[14][15] = PAWEMENT;
					 RandomGround[1][0] = PAWEMENT;
					 RandomGround[0][0] = ROAD02_90T_UL;
					 RandomGround[14][0] = PAWEMENT;					 
					 RandomGround[15][0] = ROAD02_90T_UR;
					 corn = 0;
				 }
			// 3 kdyz 3rohy obsahuji kriz.
			if(corn == 1) {
			if(RandomGround[0][0] == ROAD02_CROSS &&
			   RandomGround[15][0] == ROAD02_CROSS) {
			  if(RandomGround[0][15] == ROAD02_CROSS &&
			     RandomGround[15][15] != ROAD02_CROSS) {
				  RandomGround[1][15] = PAWEMENT;
				  RandomGround[15][1] = PAWEMENT;
				  RandomGround[15][0] = ROAD02_90T_DL;
					corn = 0;
				}
				if(RandomGround[15][15] == ROAD02_CROSS &&
				   RandomGround[0][15] != ROAD02_CROSS) {
				  RandomGround[14][15] = PAWEMENT;
				  RandomGround[0][1] = PAWEMENT;
				  RandomGround[0][0] = ROAD02_90T_DR;
					corn = 0;
				}
			}
			}
			// 2 kdyz 2rohy obsahuji kriz.				 
			if(corn == 1) {
			if(RandomGround[0][0] == ROAD02_CROSS &&
			   RandomGround[15][0] == ROAD02_CROSS) 
				 if(RandomGround[0][15] != ROAD02_CROSS ||
					  RandomGround[15][15] != ROAD02_CROSS) {
					 RandomGround[0][1] = PAWEMENT;
					 RandomGround[0][0] = ROAD02_90T_DR;
					 RandomGround[15][1] = PAWEMENT;
					 RandomGround[15][0] = ROAD02_90T_DL;
					 corn = 0;
				 }			
			if(RandomGround[0][15] == ROAD02_CROSS &&
			   RandomGround[0][0] == ROAD02_CROSS) 
				 if(RandomGround[15][0] != ROAD02_CROSS ||
					  RandomGround[15][15] != ROAD02_CROSS) {
					 RandomGround[1][0] = PAWEMENT;
					 RandomGround[1][15] = PAWEMENT;
					 RandomGround[0][0] = ROAD02_90T_UL;
					 corn = 0;
				 }
			if(RandomGround[15][0] == ROAD02_CROSS &&
			   RandomGround[15][15] == ROAD02_CROSS) 
				 if(RandomGround[0][0] != ROAD02_CROSS ||
					  RandomGround[0][15] != ROAD02_CROSS) {
					 RandomGround[14][0] = PAWEMENT;
					 RandomGround[14][15] = PAWEMENT;
					 RandomGround[15][0] = ROAD02_90T_UR;
					 corn = 0;
				 }
			}
		  }
		cross=0;
		for(int i=1;i<=14;i++)
			if(RandomGround[i][0] == ROAD02_CROSS) cross++;
		// neni-li zadna silnice ani neni-li kriz. pridam navazne krizovatky
		if(Road01_on_U+Road02_on_U+cross==0) { 
			RandomGround[5][0] = ROAD02_CROSS;
			RandomGround[9][0] = ROAD02_CROSS;
		}
		SetFromUtoD();
	}

	// ----- ----- ----- -----
	// 2 krok 
	// - Napojit zbyvajici silnice k navazovacim silnicim

	// LEFT to ROAD
	if(IPsD == -1 || IPsU == -1) {
	  cross=0;
		for(int j=1;j<=14;j++)
			if(RandomGround[0][j] == ROAD02_CROSS) cross++;
		if(Road01_on_L+Road02_on_L+cross>0) 
			SetFromLtoRoad();		
		else // pro rovnobezne cety (ctyrpruhy) pridame krizovatku    
		if(RandomGround[0][1] == ROAD02_VERT) {
			RandomGround[0][4] = ROAD02_CROSS;
      SetFromLtoRoad();
		}
	}

	// RIGHT to ROAD
	if(IPsD == -1 || IPsU == -1) {
		cross=0;
		for(int j=1;j<=14;j++)
			if(RandomGround[15][j] == ROAD02_CROSS) cross++;
		if(Road01_on_R+Road02_on_R+cross>0)  
			SetFromRtoRoad();		
		else // pro rovnobezne cety (ctyrpruhy) pridame krizovatku    
			if(RandomGround[15][1] == ROAD02_VERT) {
				RandomGround[15][9] = ROAD02_CROSS;
				SetFromRtoRoad();
		}
	}

  // DOWN to ROAD
  if(IPsL == -1 || IPsR == -1) {
		cross=0;
		for(int i=1;i<=14;i++)
			if(RandomGround[i][15] == ROAD02_CROSS) cross++;
		if(Road01_on_D+Road02_on_D+cross>0) 
			SetFromDtoRoad();
		else // pro rovnobezne cety (ctyrpruhy) pridame krizovatku    
			if(RandomGround[1][15] == ROAD02_HORIZ) {
				RandomGround[6][15] = ROAD02_CROSS;
				SetFromDtoRoad();
		}
	}

  // UP to ROAD
  if(IPsL == -1 || IPsR == -1) {
		cross=0;
		for(int i=1;i<=14;i++)
			if(RandomGround[i][0] == ROAD02_CROSS) cross++;
		if(Road01_on_U+Road02_on_U+cross>0) SetFromUtoRoad();
		else // pro rovnobezne cety (ctyrpruhy) pridame krizovatku    
			if(RandomGround[1][0] == ROAD02_HORIZ) {
				RandomGround[11][0] = ROAD02_CROSS;
				SetFromUtoRoad();
		}
	}


	// ----- ----- ----- -----
	// Rozmistovani budov

  RandomStructure.x_min = 0;
	RandomStructure.z_min = 0;
	RandomStructure.x_max = MAX_GROUND;
	RandomStructure.z_max = MAX_GROUND;

  float alfa=0;
	float alfa11=0;
  int building=0;
  float x=0.f;
  float z=0.f;
	float y_min=1.5f;
	float y_max=3.5f;
	float ratio_ij_to_xz = 9.0f/8.0f; // pomer mezi i/x=j/z
	TEXTURE texture = COLOR;	

  SoSeparator* RandomStructure = new SoSeparator;

	for(int i=0;i<=15;i++) 
	  for(int j=0;j<=15;j++) {
			RandomBuild[i][j] = 0;
	}

		
	for(int j=1;j<=16;j++) 
	  for(int i=1;i<=16;i++) {

			texture = NextTexture(texture);

			if(CanBuild31(i,j) == 1) {
				x=(float)i*ratio_ij_to_xz - 0.0f - 0.5f*ratio_ij_to_xz;
				z=(float)j*ratio_ij_to_xz - 1.0f - 0.5f*ratio_ij_to_xz;				
				texture = NextTexture(texture);
				building = SB_from_to_xyz(building,1.5f,1.5f,2.0f,4.5f,0.5f,0.5f);
				RandomStructure -> addChild(PutBuilding(building,x,z,alfa,texture));
				RandomBuild[i-1][j-1] = 1;
				RandomBuild[i][j-1] = 1;
				RandomBuild[i+1][j-1] = 1;
        i+=2;
			}
			else 
			if(CanBuild21(i,j) == 1) {
				x=(float)i*ratio_ij_to_xz - 0.5f - 0.5f*ratio_ij_to_xz;
				z=(float)j*ratio_ij_to_xz - 1.0f - 0.5f*ratio_ij_to_xz;				
				texture = NextTexture(texture);
			  building = SB_from_to_xyz(building,1.0f,1.0f,2.0f,4.5f,0.5f,0.5f);
				RandomStructure -> addChild(PutBuilding(building,x,z,alfa,texture));
				RandomBuild[i-1][j-1] = 1;
				RandomBuild[i][j-1] = 1;
        i+=1;			
			}
			else							
			if(CanBuild11(i,j) == 1) {
				x=(float)i*ratio_ij_to_xz - 1.0f - 0.5f*ratio_ij_to_xz;
				z=(float)j*ratio_ij_to_xz - 1.0f - 0.5f*ratio_ij_to_xz;
				texture = NextTexture(texture);
				//alfa11+=10;
				alfa=degree_to_radian(alfa11);
				building = SB_from_to_xyz(building,0.5f,0.5f,y_min,y_max,0.5f,0.5f);
				RandomStructure -> addChild(PutBuilding(building,x,z,alfa,texture));
				RandomBuild[i-1][j-1] = 1;
				alfa=0;
			}
			
	}


	//RBkontrola();

	//Rkontrola();

  return(RandomStructure);
} 
// -----------------------------------------------------------------------------


// =============================================================================
// konec souboru RandomStructure.cpp
// =============================================================================