// =============================================================================
// soubor square01.cpp
// =============================================================================

#include "..\structures.h"

POSITION  PI03_square01;

// -----------------------------------------------------------------------------
// fce.vytvori mestskou strukturu square01
// -----------------------------------------------------------------------------
SoSeparator* MakeSquare01() {

  PI03_square01.x_min = 0;
	PI03_square01.z_min = 0;
	PI03_square01.x_max = MAX_GROUND;
	PI03_square01.z_max = MAX_GROUND;

  SoSeparator* square01 = new SoSeparator;

  float alfa=0;
  int building=0;
	TEXTURE texture;
	texture = RandTexture();

	alfa = degree_to_radian(90);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,1.5f,1.5f,2.0f,2.5f,1.0f,1.0f);
	square01 -> addChild(PutBuilding(building,11.5f,7.5f,alfa,texture));

	alfa = degree_to_radian(90);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,1.5f,1.5f,2.0f,2.5f,0.5f,0.5f);
	square01 -> addChild(PutBuilding(building,11.0f,10.5f,alfa,texture));

	alfa = degree_to_radian(0);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,1.0f,1.0f,2.0f,2.5f,0.5f,0.5f);
	square01 -> addChild(PutBuilding(building,13.5f,6.5f,alfa,texture));

	alfa = degree_to_radian(0);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,1.0f,1.0f,2.0f,2.5f,0.5f,0.5f);
	square01 -> addChild(PutBuilding(building,15.5f,6.5f,alfa,texture));

	alfa = degree_to_radian(0);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,1.0f,1.0f,2.0f,2.5f,0.5f,0.5f);
	square01 -> addChild(PutBuilding(building,15.5f,4.0f,alfa,texture));

	alfa = degree_to_radian(0);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,1.5f,1.5f,2.0f,2.5f,0.5f,0.5f);
	square01 -> addChild(PutBuilding(building,13.0f,4.0f,alfa,texture));

	alfa = degree_to_radian(0);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,0.5f,0.5f,2.0f,2.5f,0.5f,0.5f);
	square01 -> addChild(PutBuilding(building,11.0f,4.0f,alfa,texture));

	alfa = degree_to_radian(0);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,0.5f,0.5f,3.0f,3.5f,0.5f,0.5f);
	square01 -> addChild(PutBuilding(building,11.0f,-0.25f,alfa,texture));

	alfa = degree_to_radian(0);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,0.5f,0.5f,3.0f,3.5f,0.5f,0.5f);
	square01 -> addChild(PutBuilding(building,11.0f,16.25f,alfa,texture));

	alfa = degree_to_radian(45);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,1.0f,1.0f,2.0f,2.5f,0.5f,0.5f);
	square01 -> addChild(PutBuilding(building,14.5f,0.0f,alfa,texture));

	alfa = degree_to_radian(45);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,1.5f,1.5f,2.0f,2.5f,0.5f,0.5f);
	square01 -> addChild(PutBuilding(building,12.745f,1.765f,alfa,texture));

	alfa = degree_to_radian(-45);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,1.0f,1.0f,2.0f,2.5f,0.5f,0.5f);
	square01 -> addChild(PutBuilding(building,14.0f,15.5f,alfa,texture));

	alfa = degree_to_radian(-45);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,1.5f,1.5f,2.0f,2.5f,0.5f,0.5f);
	square01 -> addChild(PutBuilding(building,12.25f,13.75f,alfa,texture));

	alfa = degree_to_radian(90);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,1.5f,1.5f,1.0f,1.5f,0.5f,0.5f);
	square01 -> addChild(PutBuilding(building,8.25f,15.0f,alfa,texture));

	alfa = degree_to_radian(90);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,1.5f,1.5f,1.0f,1.5f,0.5f,0.5f);
	square01 -> addChild(PutBuilding(building,8.25f,1.0f,alfa,texture));

	alfa = degree_to_radian(-45);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,0.5f,0.5f,2.0f,2.5f,0.5f,0.5f);
	square01 -> addChild(PutBuilding(building,-0.065f,1.435f,alfa,texture));

	alfa = degree_to_radian(-45);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,1.0f,1.0f,2.0f,2.5f,0.5f,0.5f);
	square01 -> addChild(PutBuilding(building,1.0f,2.5f,alfa,texture));

	alfa = degree_to_radian(-45);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,1.5f,1.5f,2.0f,2.5f,0.5f,0.5f);
	square01 -> addChild(PutBuilding(building,2.75f,4.25f,alfa,texture));

	alfa = degree_to_radian(-45);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,1.5f,1.5f,2.0f,2.5f,0.5f,0.5f);
	square01 -> addChild(PutBuilding(building,0.0f,5.25f,alfa,texture));

	alfa = degree_to_radian(-45);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,1.5f,1.5f,2.0f,2.5f,1.0f,1.0f);
	square01 -> addChild(PutBuilding(building,1.75f,7.75f,alfa,texture));

	alfa = degree_to_radian(45);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,1.5f,1.5f,2.0f,2.5f,1.0f,1.0f);
	square01 -> addChild(PutBuilding(building,4.35f,10.85f,alfa,texture));

	alfa = degree_to_radian(-45);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,0.5f,0.5f,2.0f,2.5f,0.5f,0.5f);
	square01 -> addChild(PutBuilding(building,7.5f,12.5f,alfa,texture));

	alfa = degree_to_radian(-45);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,0.5f,0.5f,2.0f,2.5f,1.5f,1.5f);
	square01 -> addChild(PutBuilding(building,0.655f,10.155f,alfa,texture));

	alfa = degree_to_radian(-45);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,0.5f,0.5f,2.0f,2.5f,1.5f,1.5f);
	square01 -> addChild(PutBuilding(building,1.865f,12.635f,alfa,texture));

	alfa = degree_to_radian(-45);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,0.5f,0.5f,2.0f,2.5f,1.0f,1.0f);
	square01 -> addChild(PutBuilding(building,0.077f,14.422f,alfa,texture));

	alfa = degree_to_radian(45);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,1.0f,1.0f,1.0f,1.0f,0.5f,0.5f);
	square01 -> addChild(PutBuilding(building,1.0f,16.0f,alfa,texture));

	alfa = degree_to_radian(45);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,2.0f,2.0f,1.0f,1.0f,0.5f,0.5f);
	square01 -> addChild(PutBuilding(building,3.25f,13.75f,alfa,texture));

	alfa = degree_to_radian(45);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,0.5f,0.5f,1.0f,1.0f,0.5f,0.5f);
	square01 -> addChild(PutBuilding(building,5.1f,11.9f,alfa,texture));

	alfa = degree_to_radian(45);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,1.5f,1.5f,1.0f,1.5f,0.5f,0.5f);
	square01 -> addChild(PutBuilding(building,6.0f,14.0f,alfa,texture));

	alfa = degree_to_radian(45);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,1.0f,1.0f,1.0f,1.5f,0.5f,0.5f);
	square01 -> addChild(PutBuilding(building,4.1f,15.9f,alfa,texture));

	alfa = degree_to_radian(45);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,1.0f,1.0f,2.0f,2.0f,0.5f,0.5f);
	square01 -> addChild(PutBuilding(building,5.15f,5.35f,alfa,texture));

	alfa = degree_to_radian(45);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,0.5f,0.5f,2.0f,2.0f,0.5f,0.5f);
	square01 -> addChild(PutBuilding(building,7.25f,3.25f,alfa,texture));

	alfa = degree_to_radian(-45);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,2.0f,2.0f,1.0f,1.5f,0.5f,0.5f);
	square01 -> addChild(PutBuilding(building,5.25f,1.25f,alfa,texture));

	alfa = degree_to_radian(-45);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,1.0f,1.0f,1.0f,1.5f,0.5f,0.5f);
	square01 -> addChild(PutBuilding(building,4.5f,3.5f,alfa,texture));

	alfa = degree_to_radian(-45);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,1.0f,1.0f,1.0f,1.5f,0.5f,0.5f);
	square01 -> addChild(PutBuilding(building,2.8f,1.8f,alfa,texture));

	alfa = degree_to_radian(-45);
	texture = NextTexture(texture);
	building = SB_from_to_xyz(building,1.0f,1.0f,1.0f,1.5f,0.5f,0.5f);
	square01 -> addChild(PutBuilding(building,1.0f,0.0f,alfa,texture));

  return(square01);
}
// -----------------------------------------------------------------------------
 

// =============================================================================
// konec souboru square01.cpp
// =============================================================================